Bug 176343 - rg_test fails on x86_64
rg_test fails on x86_64
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-21 11:44 EST by Corey Marthaler
Modified: 2009-04-16 16:19 EDT (History)
1 user (show)

See Also:
Fixed In Version: rgmanager-1.9.46-0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-12 13:11:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes behavior (644 bytes, patch)
2005-12-21 12:02 EST, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Corey Marthaler 2005-12-21 11:44:02 EST
Description of problem:
It failed to detect that I had IPs being used for different services (user
error) which then allowed the services to fail to relocate.

Version-Release number of selected component (if applicable):
[root@taft-02 ~]# rpm -q rgmanager
rgmanager-1.9.44-0
Comment 1 Lon Hohberger 2005-12-21 12:00:54 EST
Heh, actually, the stock version with 1.9.44 fails to run - it segfaults on
startup. ;)

The version I installed works ;)
Comment 2 Lon Hohberger 2005-12-21 12:02:49 EST
Created attachment 122498 [details]
Fixes behavior

Preliminary patch.  This makes it work, but reduces the usefulness of
liblalloc's stack checking.  The correct fix is to figure out why accessing
__builtin_return_address(x) causes a segfault on x86_64.
Comment 3 Lon Hohberger 2006-01-04 12:05:56 EST
The liblalloc's stack checking is architecture dependent. 
__builtin_return_address(x) for x>0 is never guaranteed to work on any
architecture; that it has in the past should be no indication of future performance.

Note You need to log in before you can comment on or make changes to this bug.